﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
  partial class RealGlucoseVariableView {
    /// <summary> 
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.IContainer components = null;

    /// <summary> 
    /// Clean up any resources being used.
    /// </summary>
    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
    protected override void Dispose(bool disposing) {
      if (disposing && (components != null)) {
        components.Dispose();
      }
      base.Dispose(disposing);
    }

    #region Component Designer generated code

    /// <summary> 
    /// Required method for Designer support - do not modify 
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent() {
      this.minRowOffsetLabel = new System.Windows.Forms.Label();
      this.minRowOffsetTextBox = new System.Windows.Forms.TextBox();
      this.maxRowOffsetLabel = new System.Windows.Forms.Label();
      this.maxRowOffsetTextBox = new System.Windows.Forms.TextBox();
      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
      this.SuspendLayout();
      // 
      // initialFrequencyLabel
      // 
      this.toolTip.SetToolTip(this.initialFrequencyLabel, "Relative frequency of the symbol in randomly created trees");
      // 
      // initialFrequencyTextBox
      // 
      this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.initialFrequencyTextBox.Size = new System.Drawing.Size(280, 20);
      // 
      // minimumArityLabel
      // 
      this.toolTip.SetToolTip(this.minimumArityLabel, "The minimum arity of the symbol");
      // 
      // maximumArityLabel
      // 
      this.toolTip.SetToolTip(this.maximumArityLabel, "The maximum arity of the symbol");
      // 
      // minimumArityTextBox
      // 
      this.errorProvider.SetIconAlignment(this.minimumArityTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.minimumArityTextBox.Size = new System.Drawing.Size(280, 20);
      // 
      // maximumArityTextBox
      // 
      this.errorProvider.SetIconAlignment(this.maximumArityTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.maximumArityTextBox.Size = new System.Drawing.Size(280, 20);
      // 
      // nameTextBox
      // 
      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
      this.nameTextBox.Size = new System.Drawing.Size(280, 20);
      // 
      // infoLabel
      // 
      this.infoLabel.Location = new System.Drawing.Point(379, 3);
      // 
      // minRowOffsetLabel
      // 
      this.minRowOffsetLabel.AutoSize = true;
      this.minRowOffsetLabel.Location = new System.Drawing.Point(3, 130);
      this.minRowOffsetLabel.Name = "minRowOffsetLabel";
      this.minRowOffsetLabel.Size = new System.Drawing.Size(56, 13);
      this.minRowOffsetLabel.TabIndex = 0;
      this.minRowOffsetLabel.Text = "Min offset:";
      this.toolTip.SetToolTip(this.minRowOffsetLabel, "The minimal allowed time offset");
      // 
      // minRowOffsetTextBox
      // 
      this.minRowOffsetTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
      this.errorProvider.SetIconAlignment(this.minRowOffsetTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.minRowOffsetTextBox.Location = new System.Drawing.Point(92, 127);
      this.minRowOffsetTextBox.Name = "minRowOffsetTextBox";
      this.minRowOffsetTextBox.Size = new System.Drawing.Size(281, 20);
      this.minRowOffsetTextBox.TabIndex = 1;
      this.toolTip.SetToolTip(this.minRowOffsetTextBox, "The minimal allowed time offset.");
      this.minRowOffsetTextBox.TextChanged += new System.EventHandler(this.minValueTextBox_TextChanged);
      // 
      // maxRowOffsetLabel
      // 
      this.maxRowOffsetLabel.AutoSize = true;
      this.maxRowOffsetLabel.Location = new System.Drawing.Point(3, 156);
      this.maxRowOffsetLabel.Name = "maxRowOffsetLabel";
      this.maxRowOffsetLabel.Size = new System.Drawing.Size(59, 13);
      this.maxRowOffsetLabel.TabIndex = 2;
      this.maxRowOffsetLabel.Text = "Max offset:";
      this.toolTip.SetToolTip(this.maxRowOffsetLabel, "The maximal allowed time offset");
      // 
      // maxRowOffsetTextBox
      // 
      this.maxRowOffsetTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
      this.errorProvider.SetIconAlignment(this.maxRowOffsetTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
      this.maxRowOffsetTextBox.Location = new System.Drawing.Point(92, 153);
      this.maxRowOffsetTextBox.Name = "maxRowOffsetTextBox";
      this.maxRowOffsetTextBox.Size = new System.Drawing.Size(281, 20);
      this.maxRowOffsetTextBox.TabIndex = 3;
      this.toolTip.SetToolTip(this.maxRowOffsetTextBox, "The maximal allowed time offset");
      this.maxRowOffsetTextBox.TextChanged += new System.EventHandler(this.maxValueTextBox_TextChanged);
      // 
      // RealGlucoseVariableView
      // 
      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
      this.Controls.Add(this.minRowOffsetTextBox);
      this.Controls.Add(this.maxRowOffsetTextBox);
      this.Controls.Add(this.minRowOffsetLabel);
      this.Controls.Add(this.maxRowOffsetLabel);
      this.Name = "RealGlucoseVariableView";
      this.Size = new System.Drawing.Size(398, 284);
      this.Controls.SetChildIndex(this.maxRowOffsetLabel, 0);
      this.Controls.SetChildIndex(this.minRowOffsetLabel, 0);
      this.Controls.SetChildIndex(this.maxRowOffsetTextBox, 0);
      this.Controls.SetChildIndex(this.minRowOffsetTextBox, 0);
      this.Controls.SetChildIndex(this.enabledCheckBox, 0);
      this.Controls.SetChildIndex(this.maximumArityLabel, 0);
      this.Controls.SetChildIndex(this.maximumArityTextBox, 0);
      this.Controls.SetChildIndex(this.minimumArityLabel, 0);
      this.Controls.SetChildIndex(this.minimumArityTextBox, 0);
      this.Controls.SetChildIndex(this.infoLabel, 0);
      this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
      this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
      this.Controls.SetChildIndex(this.nameLabel, 0);
      this.Controls.SetChildIndex(this.nameTextBox, 0);
      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
      this.ResumeLayout(false);
      this.PerformLayout();

    }

    #endregion

    private System.Windows.Forms.Label minRowOffsetLabel;
    private System.Windows.Forms.TextBox minRowOffsetTextBox;
    private System.Windows.Forms.Label maxRowOffsetLabel;
    private System.Windows.Forms.TextBox maxRowOffsetTextBox;

  }
}
